Subject: [bug#44249] [PATCH v2] gnu: emacs: Make strip-double-wrap more robust

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 03 Nov 2020 22:38:58 +0100

Morgan Smith <[email-masked]> writes:

> So I need to use the module (ice-9 match) there to get the definition of
> match. However, it seems to override the modules that where previously
> available there so I have to add them back.

Ah. True.

> Can you confirm how you create the error?

I cannot. I tested your patch before applying it, and could compile
Emacs just fine. However, as Ludovic reported it on IRC this commit had
introduced issues in `emacs-minimal' package, hence the revert. See, if
I understand Guix Data correctly,

http://data.guix.gnu.org/revision/b107a19ffb6a6abb7bde3436f3fa359071bd1f5c/package/emacs-minimal/27.1

Regards,